Debian Bug report logs - #699109
unblock (pre-approval): initramfs-tools-tcos/0.89.91

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Date: Sun, 27 Jan 2013 17:45:05 UTC

Severity: normal

Merged with 703270

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mariodebian@gmail.com, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Sun, 27 Jan 2013 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
New Bug report received and forwarded. Copy sent to mariodebian@gmail.com, Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 17:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: submit@bugs.debian.org
Subject: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Sun, 27 Jan 2013 17:42:48 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock
X-Debbugs-CC: mariodebian@gmail.com

Hi,

Could Release Team please say if the changes proposed in #694870 to
fix an RC bug are OK to go?


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Added indication that bug 699109 blocks 694870 Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to 694870-submit@bugs.debian.org. (Sun, 27 Jan 2013 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Sun, 27 Jan 2013 23:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 23:42:15 GMT) Full text and rfc822 format available.

Message #12 received at 699109@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 699109@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Sun, 27 Jan 2013 20:56:30 +0000
[Message part 1 (text/plain, inline)]
On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> X-Debbugs-CC: mariodebian@gmail.com
> 
> Hi,
> 
> Could Release Team please say if the changes proposed in #694870 to
> fix an RC bug are OK to go?
> 
Please include an actual diff in this bug instead of a pointer to
$somewhere_else.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Removed indication that bug 699109 blocks 694870 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 23:42:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Mon, 28 Jan 2013 09:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 28 Jan 2013 09:27:05 GMT) Full text and rfc822 format available.

Message #19 received at 699109@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 699109@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Mon, 28 Jan 2013 09:22:35 +0000
[Message part 1 (text/plain, inline)]
2013/1/27 Julien Cristau <jcristau@debian.org>:
> On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
>>
>> Could Release Team please say if the changes proposed in #694870 to
>> fix an RC bug are OK to go?
>>
> Please include an actual diff in this bug instead of a pointer to
> $somewhere_else.

Attached.

According to the discussion in that bug report, the patch does need to
be so big to fix three separate issues, and without the fixes it seems
that the software will not be functional.


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
[bd77023afadfe96a0c6ab86343b02b695567439f.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Fri, 01 Mar 2013 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 01 Mar 2013 13:18:03 GMT) Full text and rfc822 format available.

Message #24 received at 699109@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 699109@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Fri, 1 Mar 2013 14:14:58 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:

> 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> >>
> >> Could Release Team please say if the changes proposed in #694870 to
> >> fix an RC bug are OK to go?
> >>
> > Please include an actual diff in this bug instead of a pointer to
> > $somewhere_else.
> 
> Attached.
> 
> According to the discussion in that bug report, the patch does need to
> be so big to fix three separate issues, and without the fixes it seems
> that the software will not be functional.
> 
I'm not overly happy with this patch.  The multiarch "fixes" just
hardcode two paths in an arch:all package with no apparent x86
dependency.  And the /etc/console-setup stuff looks like it'd break if
two files match the glob.  I'm more tempted by a removal at this point
to be honest.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Merged 699109 703270 Request was from Jonathan Wiltshire <jmw@debian.org> to 703270-submit@bugs.debian.org. (Sun, 17 Mar 2013 20:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Wed, 20 Mar 2013 00:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Mar 2013 00:03:07 GMT) Full text and rfc822 format available.

Message #31 received at 699109@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: tcos@packages.debian.org, "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 699109@bugs.debian.org, 694870@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Wed, 20 Mar 2013 00:00:56 +0000
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 699109 + wheezy-will-remove
usertag 694870 + wheezy-will-remove
thanks

On Fri, Mar 01, 2013 at 02:14:58PM +0100, Julien Cristau wrote:
> On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:
> 
> > 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> > >>
> > >> Could Release Team please say if the changes proposed in #694870 to
> > >> fix an RC bug are OK to go?
> > >>
> > > Please include an actual diff in this bug instead of a pointer to
> > > $somewhere_else.
> > 
> > Attached.
> > 
> > According to the discussion in that bug report, the patch does need to
> > be so big to fix three separate issues, and without the fixes it seems
> > that the software will not be functional.
> > 
> I'm not overly happy with this patch.  The multiarch "fixes" just
> hardcode two paths in an arch:all package with no apparent x86
> dependency.  And the /etc/console-setup stuff looks like it'd break if
> two files match the glob.  I'm more tempted by a removal at this point
> to be honest.

Is there any progress on this? With a low popcon, maintainer seemingly
unresponsive, RC buggy and never in a stable release, please note that
removal will happen in a few days if this can't be resolved a better way.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#699109; Package release.debian.org. (Wed, 20 Mar 2013 21:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Mar 2013 21:51:07 GMT) Full text and rfc822 format available.

Message #36 received at 699109@bugs.debian.org (full text, mbox):

From: Mario Izquierdo <mariodebian@gmail.com>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: tcos@packages.debian.org, "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 699109@bugs.debian.org, 694870@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Wed, 20 Mar 2013 22:50:02 +0100
[Message part 1 (text/plain, inline)]
El mié, 20-03-2013 a las 00:00 +0000, Jonathan Wiltshire escribió:
> user release.debian.org@packages.debian.org
> usertag 699109 + wheezy-will-remove
> usertag 694870 + wheezy-will-remove
> thanks
> 
> On Fri, Mar 01, 2013 at 02:14:58PM +0100, Julien Cristau wrote:
> > On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:
> > 
> > > 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > > > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> > > >>
> > > >> Could Release Team please say if the changes proposed in #694870 to
> > > >> fix an RC bug are OK to go?
> > > >>
> > > > Please include an actual diff in this bug instead of a pointer to
> > > > $somewhere_else.
> > > 
> > > Attached.
> > > 
> > > According to the discussion in that bug report, the patch does need to
> > > be so big to fix three separate issues, and without the fixes it seems
> > > that the software will not be functional.
> > > 
> > I'm not overly happy with this patch.  The multiarch "fixes" just
> > hardcode two paths in an arch:all package with no apparent x86
> > dependency.  And the /etc/console-setup stuff looks like it'd break if
> > two files match the glob.  I'm more tempted by a removal at this point
> > to be honest.
> 
> Is there any progress on this? With a low popcon, maintainer seemingly
> unresponsive, RC buggy and never in a stable release, please note that
> removal will happen in a few days if this can't be resolved a better way.
> 
> Thanks,
> 

Thanks for CC me in this last email, I don't know any of this bug
comments.


I attach a new patch with a better multiarch and console-setup hacks


If you still want to remove from wheezy, not agree but ok for me, Ubuntu
have TCOS since 12.04 and I would be very disappointed that Debian not.


Best regards

--
Mario

[from-8e9e1cf73e06e7a50c91fd10375f04ebe4bb59bf.diff (text/x-patch, attachment)]

Changed Bug title to 'RM: tcos/0.89.90' from 'unblock (pre-approval): initramfs-tools-tcos/0.89.91' Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 24 Mar 2013 19:15:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'unblock (pre-approval): initramfs-tools-tcos/0.89.91' from 'RM: tcos/0.89.90' Request was from Jonathan Wiltshire <jmw@franck.debian.org> to control@bugs.debian.org. (Mon, 25 Mar 2013 18:57:13 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Thu, 11 Apr 2013 20:57:05 GMT) Full text and rfc822 format available.

Notification sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Bug acknowledged by developer. (Thu, 11 Apr 2013 20:57:05 GMT) Full text and rfc822 format available.

Message #45 received at 699109-done@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Mario Izquierdo <mariodebian@gmail.com>, 699109-done@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Thu, 11 Apr 2013 21:53:53 +0100
[Message part 1 (text/plain, inline)]
On Wed, Mar 20, 2013 at 10:50:02PM +0100, Mario Izquierdo wrote:
> El mié, 20-03-2013 a las 00:00 +0000, Jonathan Wiltshire escribió:
> > user release.debian.org@packages.debian.org
> > usertag 699109 + wheezy-will-remove
> > usertag 694870 + wheezy-will-remove
> > thanks
> > 
> > On Fri, Mar 01, 2013 at 02:14:58PM +0100, Julien Cristau wrote:
> > > On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:
> > > 
> > > > 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > > > > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> > > > >>
> > > > >> Could Release Team please say if the changes proposed in #694870 to
> > > > >> fix an RC bug are OK to go?
> > > > >>
> > > > > Please include an actual diff in this bug instead of a pointer to
> > > > > $somewhere_else.
> > > > 
> > > > Attached.
> > > > 
> > > > According to the discussion in that bug report, the patch does need to
> > > > be so big to fix three separate issues, and without the fixes it seems
> > > > that the software will not be functional.
> > > > 
> > > I'm not overly happy with this patch.  The multiarch "fixes" just
> > > hardcode two paths in an arch:all package with no apparent x86
> > > dependency.  And the /etc/console-setup stuff looks like it'd break if
> > > two files match the glob.  I'm more tempted by a removal at this point
> > > to be honest.
> > 
> > Is there any progress on this? With a low popcon, maintainer seemingly
> > unresponsive, RC buggy and never in a stable release, please note that
> > removal will happen in a few days if this can't be resolved a better way.
> > 
> > Thanks,
> > 
> 
> Thanks for CC me in this last email, I don't know any of this bug
> comments.
> 
> 
> I attach a new patch with a better multiarch and console-setup hacks
> 
> 
> If you still want to remove from wheezy, not agree but ok for me, Ubuntu
> have TCOS since 12.04 and I would be very disappointed that Debian not.

I'm sorry it couldn't be resolved better, but with no prospect of this
being sponsored it's just too late to be getting this kind of diff into
Wheezy. I've scheduled removals of tcos, tcosmonitor and tcosconfig.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Thu, 11 Apr 2013 20:57:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <mgilbert@debian.org>:
Bug acknowledged by developer. (Thu, 11 Apr 2013 20:57:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 May 2013 07:26:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:31:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.